Package twisted :: Package protocols :: Module oscar :: Class ChatNavService |
[frames | no frames]

## Class ChatNavService

    BaseProtocol --+
                   |
            Protocol --+
                       |
         OscarConnection --+
                           |
                   SNACBased --+
                               |
                    OSCARService --+
                                   |
                                  ChatNavService

Method Summary
| `_cbCreateChat(self, snac)`
| `_cbGetChatInfo(self, snac, d)`
| `createChat(self, shortName)`
| `getChatInfo(self, exchange, name, instance)`
| `oscar_01_07(self, snac)`
| `oscar_0D_09(self, snac)`
Inherited from OSCARService
| ``__init__`(self, bos, cookie, d)`
| ``clientReady`(self)` called when the client is ready to be online
| ``connectionLost`(self, reason)`
Inherited from SNACBased
| ``_ebDeferredError`(self, error, fam, sub, data)`
| ``oscar_`(self, data)`
| ``oscar_01_03`(self, snac)`
| ``oscar_01_0A`(self, snac)` change of rate information.
| ``oscar_01_18`(self, snac)` host versions, in the same format as we sent
| ``oscar_Data`(self, data)`
| ``oscar_unknown`(self, snac)`
| ``sendSNAC`(self, fam, sub, data, flags)` send a snac and wait for the response by returning a Deferred.
| ``sendSNACnr`(self, fam, sub, data, flags)` send a snac, but don't bother adding a deferred, we don't care.
Inherited from OscarConnection
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received.
| ``disconnect`(self)` send the disconnect flap, and sever the connection
| ``readFlap`(self)`
| ``sendFLAP`(self, data, channel)`
| ``sendKeepAlive`(self)`
| ``setKeepAlive`(self, t)`
| ``stopKeepAlive`(self)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`dict` | `snacFamilies` = `{1: (3, 16, 1435), 13: (1, 16, 1435)}`
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Class Variable Details

    ### snacFamilies Type: `dict` Value:
        {1: (3, 16, 1435), 13: (1, 16, 1435)}

Generated by Epydoc 2.0 on Sat Oct 25 00:54:57 2003 | http://epydoc.sf.net